## gcc-13-cross 3ubuntu1

=== debian/changelog ===
gcc-13-cross (3ubuntu1) lunar; urgency=medium

  * Build using gcc 13-20230215-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Feb 2023 07:22:37 +0100

gcc-13-cross (3) experimental; urgency=medium

  * Build using gcc 13-20230127-1.
  * Build gccrs cross compilers.
  * Build the libhwasan0-amd64-cross package.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Jan 2023 17:43:14 +0100

gcc-13-cross (2) experimental; urgency=medium

  * Build using gcc 13-20230114-1.
  * Update version script for 13.
  * Update packages files for 13.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Jan 2023 11:43:02 +0100

gcc-13-cross (1) experimental; urgency=medium

  * Build using gcc 13-20230106-1.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Jan 2023 09:07:56 +0100

gcc-12-cross (13) unstable; urgency=medium

  * Build using gcc 12.2.0-7.
  * Add arc changes.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2022 16:48:53 +0100

gcc-12-cross (12) unstable; urgency=medium

  * Build using gcc 12.2.0-3.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Sep 2022 17:13:33 +0200

gcc-12-cross (11) unstable; urgency=medium

  * Build using gcc 12.2.0-2.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Sep 2022 17:15:15 +0200

gcc-12-cross (10) unstable; urgency=medium

  * Build using gcc 12.2.0-1.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2022 11:51:36 +0200

gcc-12-cross (9) unstable; urgency=medium

  * Build using gcc 12.1.0-8.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Aug 2022 17:10:38 +0200

gcc-12-cross (7) unstable; urgency=medium

  * Build using gcc 12.1.0-7.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jul 2022 12:08:43 +0200

gcc-12-cross (6) unstable; urgency=medium

  * Build using gcc 12.1.0-1.

 -- Matthias Klose <doko@debian.org>  Thu, 12 May 2022 16:31:58 +0200

gcc-12-cross (5) unstable; urgency=medium

  * Build using gcc 12-20220222-1.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Feb 2022 08:41:24 +0100

gcc-12-cross (4) experimental; urgency=medium

  * Build using gcc 12-20220214-1.
  * Bump libgo soname.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Feb 2022 06:11:35 +0100

gcc-12-cross (3) experimental; urgency=medium

  * Build using gcc 12-20220126-1.
  * Build gdc on ppc64 and ppc64el.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Jan 2022 20:56:52 +0100

gcc-12-cross (2) experimental; urgency=medium

  * Build using gcc 12-20220106-1.
  * Bump libgphobos soname.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Jan 2022 08:29:24 +0100

gcc-12-cross (1) experimental; urgency=medium

  * Build using gcc 12-20211127-1.
  * Bump libasan, libtsan and libgo sonames.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Dec 2021 14:43:00 +0100

gcc-11-cross (9) unstable; urgency=medium

  * Build using gcc 11.2.0-9.
  * Merge changes from the -mipsen package (YunQiang Su).

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 08:22:55 +0200

gcc-11-cross (7) unstable; urgency=medium

  * Build using gcc 11.2.0-5.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Sep 2021 08:24:23 +0200

gcc-11-cross (6) unstable; urgency=medium

  * Build using gcc 11.2.0-2.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Aug 2021 16:40:08 +0200

gcc-11-cross (5) experimental; urgency=medium

  * Build using gcc 11.2.0-1.
  * Add packages to d/packages.invalid, not built for GCC 11.
    - gccgo-11-sh4-linux-gnu, libgo-11-dev-sh4-cross, libgo19-sh4-cross.
    - gnat-11-alpha-linux-gnu, libgnat-11-alpha-cross.
    - gnat-11-m68k-linux-gnu, libgnat-11-m68k-cross.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Aug 2021 11:29:15 +0200

gcc-11-cross (4) experimental; urgency=medium

  * Build using gcc 11.1.0-1.
  * Stop building the armel/armhf multilib packages for Ubuntu.
  * Enable building a libasan6-riscv64-cross package.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Apr 2021 17:28:43 +0200

gcc-11-cross (3) experimental; urgency=medium

  * Build using gcc 11-20210220-1.
  * Build using binutils 2.35.2-2.
  * Build-depend on libzstd-dev.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Feb 2021 11:20:29 +0100

gcc-11-cross (2) experimental; urgency=medium

  * Build using gcc 11-20210116-1.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jan 2021 11:41:54 +0100

gcc-11-cross (1) experimental; urgency=medium

  * Build using gcc 11-20210102-1.
  * Bump libgo soname.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2021 18:52:22 +0100

gcc-10-cross (12) unstable; urgency=medium

  * Build using gcc 10.2.0-9.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Sep 2020 10:54:43 +0200

gcc-10-cross (11) unstable; urgency=medium

  * Drop build dependency on autogen, as done for gcc-10.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jul 2020 13:21:05 +0200

gcc-10-cross (10) unstable; urgency=medium

  * Build using gcc 10.2.0-3.
  * Build using binutils 2.35-1.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Jul 2020 18:06:48 +0200

gcc-10-cross (9) unstable; urgency=medium

  * Build using gcc 10.1.0-3.
  * Fix build with make 4.3.

 -- Matthias Klose <doko@debian.org>  Tue, 26 May 2020 07:37:19 +0200

gcc-10-cross (8) unstable; urgency=medium

  * Build using gcc 10.1.0-2.
  * Build phobos packages for hppa and powerpc*.

 -- Matthias Klose <doko@debian.org>  Mon, 18 May 2020 15:01:39 +0200

gcc-10-cross (7) unstable; urgency=medium

  * Build using gcc 10-20200418-1.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Apr 2020 17:42:27 +0200

gcc-10-cross (6) unstable; urgency=medium

  * Build using gcc 10-20200410-1.
  * Build the gnat cross compilers.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Apr 2020 18:08:42 +0200

gcc-10-cross (5) unstable; urgency=medium

  * Build using gcc 10-20200324-1.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Mar 2020 19:44:16 +0100

gcc-10-cross (4) unstable; urgency=medium

  * Build using gcc 10-20200211-1.


