## gcc-13-cross 3ubuntu1.1

=== debian/changelog ===
gcc-13-cross (3ubuntu1.1) lunar-proposed; urgency=medium

  * SRU: LP: #2019464: Update 23.04 to the final GCC 13.1.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 May 2023 11:47:55 +0200
