## gcc-13-cross 10deepin1

=== debian/changelog ===
gcc-13-cross (10deepin1) unstable; urgency=medium

  * Build using binutils 2.38-deepin.
  * Build using glibc 2.35.

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 03 Oct 2023 14:29:37 +0800

gcc-13-cross (10) unstable; urgency=medium

  * Fix powerpc build on arm64.
  * Drop build dependency on gccrs.
  * Enable more ports builds on ppc64el.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Aug 2023 06:54:56 +0200

gcc-13-cross (9) unstable; urgency=medium

  * Build using gcc 13.2.0-1.
  * Build powerpc cross packages on arm64. Addresses: #969195.
  * Enable more ports builds on arm64. Addresses: #1040929.
  * Fix lintian warnings.
  * Stop building gccrs for GCC 13, not yet ready for GCC 13.2.
  * Build riscv64 package from this source package for all host architectures.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Jul 2023 09:55:08 +0200

gcc-13-cross (7) unstable; urgency=medium

  * Build using gcc 13.1.0-8.
  * Add libgfortran5, libasan8, libubsan1, libhwasan0, libquadmath packages
    to d/packages.common.
  * Add lib* packages for arc to d/packages.common.
  * Update names of multilib libgcc packages.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 14:23:38 +0200

gcc-13-cross (6) unstable; urgency=medium

  * Build using gcc 13.1.0-6.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2023 15:31:52 +0200

gcc-13-cross (5) unstable; urgency=medium

  * Build using gcc 13.1.0-5.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 10:52:45 +0200

gcc-13-cross (4) experimental; urgency=medium

  * Build using gcc 13.1.0-2.

 -- Matthias Klose <doko@debian.org>  Thu, 11 May 2023 13:34:46 +0200
