=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: gcc-13-source (>= 13.1.0-2~),
-  gcc-13-base (>= 13.1.0-2~),
-  binutils-multiarch (>= 2.39-6),
+Build-Depends: gcc-13-source (>= 13.2.0-2~),
+  gcc-13-base (>= 13.2.0-2~),
+  binutils-multiarch (>= 2.38-deepin),
   autoconf2.69, bison (>= 1:2.3),
-  chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
+  chrpath, debhelper (>= 9), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
   gperf (>= 3.0.1), 
-  binutils-x86-64-linux-gnu (>= 2.39-6) [amd64 arm64 i386 ppc64el x32], binutils-s390x-linux-gnu (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64 arm64], binutils-aarch64-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabihf (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabi (>= 2.39-6) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc-linux-gnu (>= 2.39-6) [amd64 i386 x32 ppc64el], binutils-i686-linux-gnu (>= 2.39-6) [amd64 arm64 ppc64el x32],
-  libc6-dev-amd64-cross (>= 2.32) [amd64 arm64 i386 ppc64el x32], libc6-dev-s390x-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.32) [amd64 i386 x32 ppc64 arm64], libc6-dev-arm64-cross (>= 2.32) [amd64 i386 x32 ppc64el], libc6-dev-armhf-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross (>= 2.32) [amd64 i386 x32 arm64 ppc64el], libc6-dev-powerpc-cross (>= 2.32) [amd64 i386 x32 ppc64el], libc6-dev-i386-cross (>= 2.32) [amd64 arm64 ppc64el x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
-  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-powerpc-cross [amd64 i386 x32 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32],
-  libisl-dev (>= 0.22.1-1~), libmpc-dev,
+  binutils-x86-64-linux-gnu (>= 2.38-deepin) [amd64 arm64 i386 ppc64el x32], binutils-s390x-linux-gnu (>= 2.38-deepin) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.38-deepin) [amd64 i386 x32 ppc64 arm64], binutils-aarch64-linux-gnu (>= 2.38-deepin) [amd64 i386 x32 ppc64el], binutils-arm-linux-gnueabihf (>= 2.38-deepin) [amd64 i386 x32 arm64 ppc64el], binutils-arm-linux-gnueabi (>= 2.38-deepin) [amd64 i386 x32 arm64 ppc64el], binutils-riscv64-linux-gnu (>= 2.38-deepin) [amd64 i386 x32 arm64 ppc64el], binutils-i686-linux-gnu (>= 2.38-deepin) [amd64 arm64 ppc64el x32],
+  libc6-dev-amd64-cross (>= 2.35) [amd64 arm64 i386 ppc64el x32], libc6-dev-s390x-cross (>= 2.35) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.35) [amd64 i386 x32 ppc64 arm64], libc6-dev-arm64-cross (>= 2.35) [amd64 i386 x32 ppc64el], libc6-dev-armhf-cross (>= 2.35) [amd64 i386 x32 arm64 ppc64el], libc6-dev-armel-cross (>= 2.35) [amd64 i386 x32 arm64 ppc64el], libc6-dev-riscv64-cross (>= 2.35) [amd64 i386 x32 arm64 ppc64el], libc6-dev-i386-cross (>= 2.35) [amd64 arm64 ppc64el x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el x32], libc6-dev-s390-s390x-cross [amd64 i386 x32 arm64 ppc64el],
+  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64 arm64], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-riscv64-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-i386-cross [amd64 arm64 ppc64el x32],
+  libisl-dev (>= 0.26-3~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   dwz, pkg-config, libgc-dev,
   patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
@@ -22,7 +22,6 @@
   gdc-13,
   gm2-13 [!powerpc !ppc64 !x32],
   gnat-13 [!m32r !sh3 !sh3eb !sh4eb],
-  gccrs-13,
   xz-utils, zlib1g-dev, libzstd-dev, python3, time,
 Build-Conflicts: gcc-multilib,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
@@ -67,16 +66,6 @@
 Description: GCC support library (development files)
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
-
-Package: libgcc-s1-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), libgcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
 
 Package: lib32gcc-s1-amd64-cross
 Architecture: all
@@ -101,16 +90,6 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: lib32gcc-s1-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), lib32gcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: libx32gcc-s1-amd64-cross
 Architecture: all
 Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
@@ -133,16 +112,6 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: libx32gcc-s1-dbg-amd64-cross
-Architecture: all
-Section: debug
-Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), libx32gcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
-Description: GCC support library (debug symbols)
- Debug symbols for the GCC support library.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: gcc-13-x86-64-linux-gnu
 Architecture: arm64 i386 ppc64el x32
 Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), cpp-13-x86-64-linux-gnu (= ${gcc:Version}), binutils-x86-64-linux-gnu (>= ${binutils:Version}), libgcc-13-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
@@ -208,3 +177,29 @@
 Architecture: all
 Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
+ in the GNU Compiler Collection.
+
+Package: lib32gomp1-amd64-cross
+Architecture: all
+Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: ${confl:lib32}
+Description: GCC OpenMP (GOMP) support library (32bit)
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
+ in the GNU Compiler Collection.
+
+Package: libx32gomp1-amd64-cross
+Architecture: all
+Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
+Description: GCC OpenMP (GOMP) support library (x32)
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
+ in the GNU Compiler Collection.
+
+Package: libitm1-amd64-cross
+Architecture: all
+Depends: gcc-13-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: GNU Transactional Memory Library
+ GNU Transactional Memory Library (libitm) provides transaction support for
+ accesses to the memory of a process, enabling easy-to-use synchronization of
+ accesses to shared memory by several threads.
+
