=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,8 @@
 GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')
 
 ifeq ($(GCC_VER),13)
-  MIN_VER_GCC      := 13.1.0-2~
-  PPA_VER_GCC      := 13.1.0-2~
-endif
-
-ifeq ($(GCC_VER),12)
-  MIN_VER_GCC      := 12.2.0-7~
-  PPA_VER_GCC      := 12.2.0-7~
+  MIN_VER_GCC      := 13.2.0-2~
+  PPA_VER_GCC      := 13.2.0-2~
 endif
 
 ifndef MIN_VER_GCC
@@ -41,10 +36,10 @@
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | awk '/^Version:/ {print $$2}' | sed 's/-[^-]*$$//')
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
 GCC_TARBALL := $(wildcard $(GCC_DIR)/gcc-*.xz)
-VER_BINUTILS   := 2.39-6
-MIN_VER_BINUTILS   := 2.39-6
-VER_ISL      := 0.22.1-1~
-MIN_VER_GLIBC   := 2.32
+VER_BINUTILS   := 2.38-deepin
+MIN_VER_BINUTILS   := 2.38-deepin
+VER_ISL      := 0.26-3~
+MIN_VER_GLIBC   := 2.35
 
 DEB_VER_GCC    := $(shell dpkg-parsechangelog -l${GCC_DIR}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 
@@ -53,24 +48,24 @@
 CROSS_BIARCH_powerpc:=ppc64
 CROSS_BIARCH_s390x:=s390
 
-HOST_ARCHS_alpha = amd64 i386 x32
+HOST_ARCHS_alpha = amd64 arm64 i386 ppc64el x32
 # FIXME: adding amd64 in HOST_ARCHS_amd64 hard codes the indep build
 # to amd64 buildds ...
 HOST_ARCHS_amd64 = amd64 arm64 i386 ppc64el x32
-HOST_ARCHS_arc = amd64 i386 x32
+HOST_ARCHS_arc = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
-HOST_ARCHS_hppa = amd64 i386 x32
+HOST_ARCHS_hppa = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
-HOST_ARCHS_m68k = amd64 i386 x32
-HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
-HOST_ARCHS_ppc64 = amd64 i386 x32
+HOST_ARCHS_m68k = amd64 arm64 i386 ppc64el x32
+HOST_ARCHS_powerpc = amd64 arm64 i386 x32 ppc64el
+HOST_ARCHS_ppc64 = amd64 i386 ppc64el x32
 HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
 HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_sh4 = amd64 i386 x32
-HOST_ARCHS_sparc64 = amd64 i386 x32
+HOST_ARCHS_sh4 = amd64 arm64 i386 ppc64el x32
+HOST_ARCHS_sparc64 = amd64 arm64 i386 ppc64el x32
 HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
 
 all_archs_mips = mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
@@ -86,21 +81,36 @@
 ifeq (,$(CROSS_ARCHS))
   ifeq ($(DEB_NAME_ACT),gcc-13-cross)
     ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
-      CROSS_ARCHS  = amd64
-      CROSS_ARCHS  += s390x ppc64el arm64 armhf armel \
+      CROSS_ARCHS  ?= amd64 s390x ppc64el arm64 armhf armel riscv64 \
 	$(if $(filter $(vendor), Ubuntu), powerpc) \
         $(if $(filter $(HOST_ARCH), amd64 x32), i386)
     else ifeq ($(HOST_ARCH),arm64)
-      CROSS_ARCHS = amd64 armel armhf i386 ppc64el s390x
+      CROSS_ARCHS ?= amd64 armel armhf i386 ppc64el riscv64 s390x \
+	$(if $(filter $(vendor), Ubuntu), powerpc)
     else ifeq ($(HOST_ARCH),ppc64)
-      CROSS_ARCHS = ppc64el
+      CROSS_ARCHS ?= ppc64el
     else ifeq ($(HOST_ARCH),ppc64el)
-      CROSS_ARCHS = amd64 i386 $(if $(filter $(vendor), Ubuntu), powerpc) \
-	armel armhf arm64 s390x
+      CROSS_ARCHS ?= amd64 i386 $(if $(filter $(vendor), Ubuntu), powerpc) \
+	armel armhf arm64 riscv64 s390x
     else
       CROSS_ARCHS =
     endif
     GCC_PORTS_BUILD=
+  else ifeq ($(DEB_NAME_ACT),gcc-13-cross-ports)
+    ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
+      CROSS_ARCHS  ?= alpha arc hppa m68k ppc64 sh4 sparc64 \
+		$(if $(filter $(vendor), Ubuntu),, powerpc) \
+		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
+    else ifeq ($(HOST_ARCH),arm64)
+      CROSS_ARCHS ?= alpha arc hppa m68k sh4 sparc64 x32 \
+		$(if $(filter $(vendor), Ubuntu),, powerpc)
+    else ifeq ($(HOST_ARCH),ppc64el)
+      CROSS_ARCHS ?= alpha arc hppa m68k sh4 sparc64 x32 \
+		$(if $(filter $(vendor), Ubuntu),, powerpc)
+    else
+      CROSS_ARCHS =
+    endif
+    GCC_PORTS_BUILD=-ports
   else ifeq ($(DEB_NAME_ACT),gcc-13-cross-mipsen)
     ifneq (,$(filter $(HOST_ARCH),$(mipsen_archs)))
       CROSS_ARCHS  ?= mips mipsel mips64el mips64 \
@@ -109,19 +119,8 @@
       # have problem on ada
     endif
     GCC_PORTS_BUILD=-mipsen
-  else # -ports package
-    ifneq (,$(filter $(HOST_ARCH),amd64 i386 x32))
-      CROSS_ARCHS  ?= alpha arc hppa m68k ppc64 riscv64 sh4 sparc64 \
-		$(if $(filter $(vendor), Ubuntu),, powerpc) \
-		$(if $(filter $(HOST_ARCH), amd64 i386), x32)
-    else ifeq ($(HOST_ARCH),arm64)
-      CROSS_ARCHS = x32 riscv64
-    else ifeq ($(HOST_ARCH),ppc64el)
-      CROSS_ARCHS = x32 riscv64 $(if $(filter $(vendor), Ubuntu),, powerpc)
-    else
-      CROSS_ARCHS =
-    endif
-    GCC_PORTS_BUILD=-ports
+  else
+    $(error Unknown source package $(DEB_NAME_ACT))
   endif
 endif
 
@@ -151,7 +150,7 @@
   endif
 endif
 
-libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
+libgcc_source := $(shell apt-cache show --no-all-versions libgcc-s1-arm64-cross | awk '/^Source:/ { print $$2 }')
 #ifneq ($(DEB_NAME_ACT),$(libgcc_source))
 #  skip_common_packages = yes
 #endif
@@ -165,14 +164,14 @@
   ifneq (,$(filter armel, $(CROSS_ARCHS)))
     EXTRA_BUILD_DEPS += libc6-dev-armhf-cross [$(HOST_ARCHS_armel)],
     ifeq ($(skip_common_packages),yes)
-      GCC_BUILD_DEPS += libhfgcc1-armel-cross [$(HOST_ARCHS_armel)],
+      GCC_BUILD_DEPS += libhfgcc-s1-armel-cross [$(HOST_ARCHS_armel)],
     endif
   endif
 
   ifneq (,$(filter armhf, $(CROSS_ARCHS)))
     EXTRA_BUILD_DEPS += libc6-dev-armel-cross [$(HOST_ARCHS_armhf)],
     ifeq ($(skip_common_packages),yes)
-      GCC_BUILD_DEPS += libsfgcc1-armhf-cross [$(HOST_ARCHS_armhf)],
+      GCC_BUILD_DEPS += libsfgcc-s1-armhf-cross [$(HOST_ARCHS_armhf)],
     endif
   endif
 endif
@@ -181,8 +180,8 @@
   EXTRA_BUILD_DEPS += libc6-dev-i386-amd64-cross [$(HOST_ARCHS_amd64)],
   EXTRA_BUILD_DEPS += libc6-dev-x32-amd64-cross [$(HOST_ARCHS_amd64)],
   ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib32gcc1-amd64-cross [$(HOST_ARCHS_amd64)],
-    GCC_BUILD_DEPS += libx32gcc1-amd64-cross [$(HOST_ARCHS_amd64)],
+    GCC_BUILD_DEPS += lib32gcc-s1-amd64-cross [$(HOST_ARCHS_amd64)],
+    GCC_BUILD_DEPS += libx32gcc-s1-amd64-cross [$(HOST_ARCHS_amd64)],
   endif
 endif
 
@@ -190,8 +189,8 @@
   EXTRA_BUILD_DEPS += libc6-dev-amd64-i386-cross [$(HOST_ARCHS_i386)],
   EXTRA_BUILD_DEPS += libc6-dev-x32-i386-cross [$(HOST_ARCHS_i386)],
   ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib64gcc1-i386-cross [$(HOST_ARCHS_i386)],
-    GCC_BUILD_DEPS += libx32gcc1-i386-cross [$(HOST_ARCHS_i386)],
+    GCC_BUILD_DEPS += lib64gcc-s1-i386-cross [$(HOST_ARCHS_i386)],
+    GCC_BUILD_DEPS += libx32gcc-s1-i386-cross [$(HOST_ARCHS_i386)],
   endif
 endif
 
@@ -199,16 +198,8 @@
   EXTRA_BUILD_DEPS += libc6-dev-i386-x32-cross [$(HOST_ARCHS_x32)],
   EXTRA_BUILD_DEPS += libc6-dev-amd64-x32-cross [$(HOST_ARCHS_x32)],
   ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib32gcc1-x32-cross [$(HOST_ARCHS_x32)],
-    GCC_BUILD_DEPS += lib64gcc1-x32-cross [$(HOST_ARCHS_x32)],
-  endif
-endif
-
-ifneq (,$(filter ppc64, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-powerpc-ppc64-cross [$(HOST_ARCHS_ppc64)],
-  ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib32gcc1-ppc64-cross [$(HOST_ARCHS_ppc64)],
-  endif
-endif
-
-ifneq (,$(filter s390x, $(CROSS_ARCHS)))
+    GCC_BUILD_DEPS += lib32gcc-s1-x32-cross [$(HOST_ARCHS_x32)],
+    GCC_BUILD_DEPS += lib64gcc-s1-x32-cross [$(HOST_ARCHS_x32)],
+  endif
+endif
+
